View Issue Details

IDProjectCategoryView StatusLast Update
0020895LazarusLCLpublic2021-01-17 19:13
ReporterLudo Brands Assigned ToJesus Reyes  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.31 (SVN) 
Summary0020895: DBGrid picklist selection sets wrong value when lookup dataset has duplicate value
DescriptionUsing the test program attached to issue 0020841, selecting the second 'xxx' in the picklist for the NAME column in the dbgrid will update MasterID to 1 instead of 3.
Problem is in TCustomDBGrid.UpdateData that does a edField.LookupDataSet.Locate or a edField.LookupList.FirstKeyByValue (when cached) using the value instead of the key.
TagsNo tags attached.
Fixed in Revision58686
LazTarget-
WidgetsetGTK 2, Win32/Win64
Attached Files

Relationships

related to 0020841 closedLuiz Americo DBLookup* controls set wrong value when master dataset has a list field with the same value 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2011-12-14 09:20 Ludo Brands New Issue
2011-12-14 09:20 Ludo Brands Widgetset => GTK 2, Win32/Win64
2012-03-13 08:24 Zeljan Rikalo Status new => assigned
2012-03-13 08:24 Zeljan Rikalo Assigned To => Jesus Reyes
2021-01-12 07:26 Jesus Reyes Relationship added related to 0020841
2021-01-17 19:13 Jesus Reyes Status assigned => resolved
2021-01-17 19:13 Jesus Reyes Resolution open => fixed
2021-01-17 19:13 Jesus Reyes Fixed in Revision => 58686
2021-01-17 19:13 Jesus Reyes LazTarget => -
2021-01-17 19:13 Jesus Reyes Widgetset GTK 2, Win32/Win64 => GTK 2, Win32/Win64